Description: wxPython 3.0 compatibility
 These changes should retain compatibility with wxPython 2.8, though I haven't
 tested that.
Author: Olly Betts <olly@survex.com>
Bug-Debian: https://bugs.debian.org/759068 
Forwarded: no
Last-Update: 2015-03-26

--- pytimechart-1.0.0~rc1.orig/timechart/window.py
+++ pytimechart-1.0.0~rc1/timechart/window.py
@@ -103,7 +103,9 @@ prof = 0
 
 import wx
 def open_dialog():
-    dlg = wx.FileDialog(None, "Choose a file", "", "", "*.txt;*.gz;*.lzma;*.dat", wx.OPEN)
+    if wx.GetApp() is None:
+        app = wx.App()
+    dlg = wx.FileDialog(None, "Choose a file", "", "", "*.txt;*.gz;*.lzma;*.dat", wx.FD_OPEN)
     rv = None
     if dlg.ShowModal() == wx.ID_OK:
         filename=dlg.GetFilename()
@@ -114,7 +116,9 @@ def open_dialog():
     return rv
 
 def save_dialog():
-    dlg = wx.FileDialog(None, "Save file...", "", "", "*.txt", wx.SAVE)
+    if wx.GetApp() is None:
+        app = wx.App()
+    dlg = wx.FileDialog(None, "Save file...", "", "", "*.txt", wx.FD_SAVE)
     rv = None
     if dlg.ShowModal() == wx.ID_OK:
         filename=dlg.GetFilename()
